com.threerings.puzzle.server

## Interface PuzzleGameProvider

All Superinterfaces:
  com.threerings.presents.server.InvocationProvider

All Known Implementing Classes:
  PuzzleManager

    @Generated(value="com.threerings.presents.tools.GenServiceTask",
               comments="Derived from PuzzleGameService.java.")
    public interface PuzzleGameProvider
    extends com.threerings.presents.server.InvocationProvider

Defines the server-side of the `PuzzleGameService`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `updateProgress(com.threerings.presents.data.ClientObject caller, int arg1, int[] arg2)` Handles a `PuzzleGameService.updateProgress(int, int[])` request.
`void` `updateProgressSync(com.threerings.presents.data.ClientObject caller, int arg1, int[] arg2, Board[] arg3)` Handles a `PuzzleGameService.updateProgressSync(int, int[], com.threerings.puzzle.data.Board[])` request.

### Method Detail

#### updateProgress

    void updateProgress(com.threerings.presents.data.ClientObject caller,
                        int arg1,
                        int[] arg2)

Handles a `PuzzleGameService.updateProgress(int, int[])` request.

#### updateProgressSync

    void updateProgressSync(com.threerings.presents.data.ClientObject caller,
                            int arg1,
                            int[] arg2,
                            Board[] arg3)

Handles a `PuzzleGameService.updateProgressSync(int, int[], com.threerings.puzzle.data.Board[])` request.